/**
	Hoja de estilos CSS comunes a toda la parte publica de Helvetia.
	NOTA: No pegar aquí estilos de una aplicación concreta, sino crear una hoja CSS a parte 
	con el nombre de la aplicación e importarla solamente desde esa aplicación.
*/

/*import de la hoja de estilos del bloque "Te llamamos"*/
@import url(bloque-te-llamamos.css);

@font-face {
    font-family:"FuturaLTW05-Bold";
    src: url('../css/font/FuturaLTW05-Bold.woff2') format('woff2'),url('../css/font/FuturaLTW05-Bold.woff') format('woff');
	font-weight: 400;
	font-style: normal
}

@font-face {
    font-family:"FuturaLTW05-Book";
    src: url('../css/font/FuturaLTW05-Book.woff2') format('woff2'),url('../css/font/FuturaLTW05-Book.woff') format('woff');
	font-weight: 400;
	font-style: normal
}

@font-face {
    font-family:"FuturaLTW05-Light";
    src: url('../css/font/FuturaLTW05-Light.woff2') format('woff2'),url('../css/font/FuturaLTW05-Light.woff') format('woff');
	font-weight: 400;
	font-style: normal
}

@font-face {
    font-family:"FuturaLTW05-Medium";
    src: url('../css/font/FuturaLTW05-Medium.woff2') format('woff2'),url('../css/font/FuturaLTW05-Medium.woff') format('woff');
	font-weight: 400;
	font-style: normal
}

/* Logo de Helvetia sobre la cabecera. */
.logo-cabecera {
	float: right;
	margin: 5px 0;
}

/* Cabecera por defecto si la aplicación no define una propia. */
.cabecera {
	background: url(../css/bitmaps/bk.cabeceraGeneric.png) 0 0 no-repeat;
	margin: 0 auto;
	width:100%;
	overflow: hidden;
	background-size:100%;
}
	
.cabeceraA09 {
	background: url(../css/bitmaps/bk.cabeceraGeneric.png) 0 0 no-repeat;
	margin: 0 auto;
	width:100%;
	overflow: hidden;
	background-size:100%;
}

.cabeceraH15 {
	background: url(../css/bitmaps/bk.cabeceraH15.png) 0 0 no-repeat;
	margin: 0 auto;
	width:100%;
	overflow: hidden;
	background-size:100%;
}

.cabeceraZ02 {
	background: url(../css/bitmaps/bk.cabeceraZ02.png) no-repeat 0 0;	
	margin: 0 auto;
	width: 100%;
	overflow: hidden;
}

.cabeceraA79 {
	background: url(../css/bitmaps/bk.cabeceraA79.png) no-repeat 0 0;
	margin: 0 auto;
	width: 100%;
	overflow: hidden;
	background-size:100%;
}

/* Estilos de los enlaces que cambian el idioma de la web. */
.logo-idiomas {
	display: flex;
	align-items: center;
	
	height: 45px;
	width: auto;
	margin: 40px 0;

	background: none repeat scroll 0 0 rgba(255, 255, 255, 0.6);

	overflow: hidden;
}


/* caceberaPublic */
.idiomasContainer {
    display: flex;
    align-items: center;
    
    margin-left: 20px;
    
    text-transform: uppercase;   
}

.idiomaContainer {    
    padding: 0 5px;
        
    overflow: auto;
}

.idiomaContainer a {
     color: #000 !important;
}

.idiomasContainer div:not(:last-child) {
   border-right: 1px solid #333;
}

/* Contenedor para centrar toda la página a una anchura determinada. */
.contenedor {
	margin: 0 auto;
	width: 940px;
	overflow: hidden;
}

/* Estilo de fuente por defecto en todo el body */
* {
	font-family: FuturaLTW05-Book !important; 
}

a:link, a:visited, a:active {
    color: #00818F ;
}
a:hover, a:focus {
    color: #004D56 !important;
    text-decoration: underline 2px !important; 
}
a:focus-visible{
    text-decoration: underline 2px !important;
    color: #004D56 !important;
    outline: 2px solid black !important;
    border-radius: 4px;
}

body {
	color: #484848;
	margin:0;
}

body .txtmenor {
	font-size: x-small;
	margin-bottom: 0;
}

.columnaDcha {
	text-align: right;
}

.columnaIzda {
	text-align: left;
}

.columnaCentro {
	text-align: center;
}

.errorPublic {
	color:#c61d1f; 
	font-weight:bold; 
}

.errorMantenimiento {
    color: #595959;
    text-align: center;
    font-weight:bold;
}

.iconoMantenimiento {
    display: block;
    height: 67px;
    width: auto;
    background-image: url("../css/bitmaps/error-gray.svg") !important;   
    background-position: center;
    background-repeat: no-repeat;
    background-size: 67px auto;
    margin-bottom: 10px;
}

/* Estilos para hacer que los select del componente helv:selectOneMenu se vean como los de PrimeFaces. */
select.publicSelect {
	background: none repeat scroll 0 0 #FFFFFF;
	border: 1px solid #CCCCCC;
    border-radius: 4px;
	box-shadow: 2px -15px 6px rgba(0, 0, 0, 0.067) inset;
	color: #555555;
	font: 14px/22px ;
	height: 28px;
	padding: 4px 6px;
	width: 150px;
	margin: 8px 5px 0 0
}

select.publicSelect:focus  {
	border: 1px solid #00818F;
	box-shadow: 0px 0px 8px #00818F;
}

.componenteDatosPostalesMostrar {
    display: inline-block;*display:inline;zoom:1;
}

.componenteDatosPostalesOcultar {
    display: none;
}

.compJSF{
	    text-align:left; border-collapse:collapse;
	}
.compJSF .ocultarJSF{
    display:none;
}
.compJSF .mostrarJSF{
    display:inline-block;*display:inline;zoom:1;
}
	

legend a {
	color: #fff;
	text-decoration: none;
}

legend a:hover {
	text-decoration: underline;
}
/*estilos precio*/
.formaPago{ 
	color: #A3A3A3; 
	font-size:16px; 
}

.formaPagoSelected { 
	color:#A3A3A3; 
	font-size:16px; 
	font-weight:bold; 
}

/*estilo slider común*/
/* Nuevos estilos*/
.sliderPublic {
	width: 320px; 
	padding-left:5px;
}
.sliderPublic-formaPago {
	width: 317px;
}
.sliderPublic-textos {
	width: 320px;
}

.popup_link,.popup_link_small {
	color: #8963A1 !important;
}

.popup_link_small {
	font-size: 0.9em;
}

/* LINK DE IMPRESIÓN DE DOCUMENTOS EN EL PUBLIC Z01 */

a.botonImpresionPublic, a.botonRegistroPublic {
	background-color: #8963A1;
    background-position: 3px center;
    background-repeat: no-repeat;
    background-size: 2.5em auto;
    border-radius: 5px;
    color: #FFFFFF;
    display: inline-block;
    height: auto;
    padding: 5px 10px 5px 10px;
    text-decoration: none;
    text-align: center;
    vertical-align: bottom;
    height: 24px;
    width: 130px;
	border: 1px solid #B093C0 !important;
}

a.botonImpresionPublic:hover,
a.botonImpresionPublic:focus,
a.botonRegistroPublic:hover,
a.botonRegistroPublic:focus {
    text-decoration: none !important;
    color: #FFFFFF !important;
    border: 1px solid #8963A1 !important; 
    box-shadow: 0 0 8px #8963A1 !important;
    
}
    
/* LINK DE IMPRESIÓN DE DOCUMENTOS EN EL PUBLIC Z01 */
/*con esto quitamos un borde amarillo que tiene chrome para los input*/
:focus {
	outline: -webkit-focus-ring-color none 5px !important;
}
.obligatorio {
		color: #E2001A;
		/*font-family: Verdana, Arial, Helvetica, sans-serif;*/
		font-size: 1.2em;
	}

	
/* MENU MIGAS PUBLIC */
.migas{ overflow:hidden; margin-bottom:20px; font-size:small;}

.migas .flecha {background: url("../css/bitmaps/bk.migas.g.g.png") no-repeat scroll right center #e7e7e7;padding-right: 25px;}
.migas .flecha .ui-state-disabled {
    cursor: not-allowed !important;
	opacity: 1;
}
.migas .flechaFin {background: url("../css/bitmaps/bk.migas.g.b.png") no-repeat scroll right center #e7e7e7;padding-right: 25px;}
.migas .flechaFin .ui-state-disabled {
    cursor: not-allowed !important;
	opacity: 1;
}
.migas .active {background:url("../css/bitmaps/bk.migas.v.g.png") no-repeat scroll right center #8963a1;color: #FFFFFF!important;padding-right: 25px;}
.migas .active .ui-state-disabled {
    cursor: not-allowed !important;
	opacity: 1;
}
.migas .preActive {background:url("../css/bitmaps/bk.migas.g.v.png") no-repeat scroll right center rgba(139,145,150,0.8);padding-right: 25px;}
.migas .preActive .ui-state-disabled {
    cursor: not-allowed !important;
	opacity: 1;
}
.migas .activeFin {background:url("../css/bitmaps/bk.migas.v.b.png") no-repeat scroll right center #8963a1;color: #FFFFFF!important;padding-right: 25px;}
.migas .activeFin .ui-state-disabled {
    cursor: not-allowed !important;
	opacity: 1;
}
.migas .flechaPasada {background: url("../css/bitmaps/bk.migas.g.g.f.png") no-repeat scroll right center rgba(139,145,150,0.8);padding-right: 25px;}
.migas .flechaPasada .ui-state-disabled {
    cursor: not-allowed !important;
	opacity: 1;
}
.migas li {
    background: transparent;
    text-transform:uppercase;
    padding: 11px 10px 10px; 
    height:16px; 
    cursor: default;
    display: flex;
    align-items: center;
}
.migas span a,
.migas li a{ color: #FFFFFF !important; text-decoration: none;}
span.flechaPasada{color: #FFFFFF !important; text-decoration: none;}
span.preActive{color: #FFFFFF !important; text-decoration: none;}

/* MODIFICAR ESTILOS DE LA CUENTA CORRIENTE */
.cajetinDosPosiciones {width: 30px;}
.cajetinCuatroPosiciones {width: 80px;}


span.txtExpl{clear: both;display: block;font-size: 11px;text-align: center;}
fieldset.fieldsetSinBordes{border:0; margin-top:20px;margin-bottom: 20px;padding: 5px 14px 10px;  font-size: 100%; line-height: 1.3;}
/** FOOTER */
.footer {overflow: hidden;margin-top: 20px;display:block;border:medium none;color: #65696D; }
.footer .contenidoFooter{width:1250px;content: "";display: table;line-height: 0;}
.footer .texto{
        position: absolute;
        float: right;
        width: 660px;
        left: 15em;
        right: -4em;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 10px;
        padding-top: 20px;
        padding-bottom: 20px;
        font-size: 0.88em;
        line-height: 1.7em;
        color: #65696D;
        border-top: 1px solid #E7E7E7;
}
/* POPUP DE QUIERES QUE TE LLAMEMOS */

p.descripcion {
    background: none repeat scroll 0 0 #EFEFEF;
    margin: 0 20px 20px;
    padding: 10px 20px 20px;
}

.lateral .bloque span.obligatorio {
	display:inline;
	border-bottom:0;
}

.lateral .bloque label {
    display: block;
    float: left;
    width: 140px;
    padding-top:10px;
}

.ClausulasConfiDialog .bloque label {
    display: block;
    float: left;
    padding-top:10px;
    width: 100%;
}

.ClausulasConfiDialog .bloque .ui-selectoneradio  label{
    display: block;
    float: right;
    padding-top: 10px;
    width: 20px;
}

input.formularioInput{
	border: 1px solid #CCCCCC;
    border-radius: 3px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    color: #333333;
    font-family: FuturaLTW05-Book;
    font-size: 14px;
    height: 20px;
    margin: 4px 5px 0 0;
    padding: 5px;
    width: 210px;
}

.formularioInputPresupuesto{
    border: 1px solid #CCCCCC;
    border-radius: 3px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    color: #333333;
    font-size: 14px;
    height: 22px;
    margin: 4px 5px 0 0;
    padding: 5px;
    width: 210px;
}

#formularioEnvio h2 {
    background: url("../css/bitmaps/ico.calculadora.png") no-repeat scroll 20px 4px #E2E2E2;
    font-size: 20px;
    font-weight: bold;
    margin: 20px 20px 0;
    padding: 10px 50px;
}

label.labelFormularioPopup{
	float: left;
	padding-top: 10px;
	width: 140px;
}

.divRegionContratacion {
	display: none;
}

.pagina_firma_online {
	width: 100%;
	height: 800px;
	border: none;
}

@media screen and (max-width:650px) {
    .pagina_firma_online{height: 1185px;}
}

@media screen and (max-width:800px) {
	.cabeceraZ02{background-size: 100%; width:100%;margin-left:0; height: 140px; }
	/*estructura*/
	.contenedor{ width:100%;}
	/*migas*/
	.migas span{}
	.migas .active{}
	/*footer*/
	.footer{width:100%;}
	.footer .contenidoFooter{width:100%; margin:0 auto;line-height: 0; overflow: hidden;}
	.footer .texto{ position:static; float: none; width: auto;}
}

@media screen and (max-width:768px) {
	.cabeceraZ02{height:140px;}
	.cabeceraH15{height:140px;}
	.cabeceraA09{height:140px;}
	.cabeceraA79{height:140px;}
	/*migas*/
	.migas span{font: 11px/1em ;}
	.migas .active{font: 11px/1em ;}
}

@media screen and (max-width:640px) {
	.cabeceraZ02{height: 110px;}
	.cabeceraH15{height: 122px;} 
	.cabeceraA09{height: 122px;}
	.cabeceraA79{height: 122px;}
}

@media screen and (max-width:480px) {
	.cabeceraZ02{height: 100px;background-size:100% auto;}
	.cabeceraH15{height: 75px;}
	.cabeceraA09{height: 75px;}
	.cabeceraA79{height: 75px;}
	/*migas*/
  .migas span, .migas .active{line-height:17px;}
  .enviarPorEmail{margin-right:20px;}
  .ui-selectonemenu{width:220px!important;}

}

@media (max-width: 360px) {
	.cabeceraZ02{height: 65px;}
	.cabeceraH15{height: 65px;}
	.cabeceraA09{height: 65px;}
	.cabeceraA79{height: 65px;}
	/*migas*/
	.migas span{padding:10px 25px 10px 15px;line-height:10px;}
	.migas .active{line-height:10px;}
}

@media screen and (max-width:320px) {
	.cabeceraZ02{height:58px;}
	.cabeceraH15{height:58px;}
	.cabeceraA09{height:58px;}
	.cabeceraA79{height:58px;}
}

.sociales li {
    display: inline;
    margin-right: 5px;
}

.social-sprite {
    background-image: url(../css/bitmaps/social-icons.png);
    background-repeat: no-repeat;
    display: inline-block;
    width: 24px;
    height: 24px;
}

.sprite-ico-twitter {
    background-position: -5px -73px;
}

.sprite-ico-facebook {
    background-position: -5px -5px;
}

.sprite-ico-youtube {
    background-position: -5px -107px;
}

.sprite-ico-linkedin {
    background-position: -5px -39px;
}

.sprite-icon-gplus {
    background-position: -5px -141px;
}

.iconosSociales{
	width: 490px;
    margin-left: auto;
    margin-right: auto;
    left: 15em;
    right: -4em;
}

.mostramosBoton{
	display: block !important;
}

.logo-sepelio{
    height:30px;
    margin-bottom:-6px
}

.mt-10{
    margin-top:10px;
}
